package items;

import pokemon.Pokemon;

/**
 * This class represents a revive item
 */
public class Revive extends AbstractPotion {
    public Revive() {
        super("Revive", "Revives a fainted pokemon.", true);
    }

    @Override
    public boolean use(Pokemon target) {
        if (!target.isConscious()) {
            target.revive();
            System.out.printf("%s was revived.%n", target.getName());
            return true;
        } else {
            System.out.println("You can't revive a conscious pokemon.");
            return false;
        }
    }
}
