package items;

import pokemon.Pokemon;
import storage.Trainer;

import java.util.List;

/**
 * This class represents a poke ball item
 */
public class PokeBall extends AbstractPokeBall {
    public PokeBall() {
        super("Poke Ball", "A device for catching wild Pokémon. It's thrown like a ball at a " +
                "Pokémon, comfortably encapsulating its target.");
    }

    @Override
    public boolean use(Pokemon target, List<Pokemon> current, Trainer catcher) {
        return target.tryCapture(current, catcher, 255);
    }
}
